[Pvfs2-cvs] commit by slang in pvfs2/test/automated/vfs-tests.d: ltp ltp-20080630-hackbench-limits.patch ltp-20080630-zoo-path.patch

CVS commit program cvs at parl.clemson.edu
Tue Sep 9 16:22:32 EDT 2008


Update of /projects/cvsroot/pvfs2/test/automated/vfs-tests.d
In directory parlweb1:/tmp/cvs-serv15473/test/automated/vfs-tests.d

Added Files:
      Tag: directio-branch
	ltp ltp-20080630-hackbench-limits.patch 
	ltp-20080630-zoo-path.patch 
Log Message:
reverse merge of changes to HEAD since branch.  Includes small file changes.


--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ ltp	2008-09-09 16:22:32.000000000 -0400
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+LTPVER="20080630"
+THISDATE=`date +%F-%R`
+DOWNLOAD="http://www-unix.mcs.anl.gov/~carns/nightly-download/ltp-full-${LTPVER}.tgz"
+
+cd ${EXTRA_TESTS}
+
+# get rid of any old copies
+sudo rm -rf ltp-full-${LTPVER} ltp-full-${LTPVER}.tgz 
+
+# download
+echo Downloading LTP...
+wget -q ${DOWNLOAD} > /dev/null
+if [ "${?}" != 0 ]
+then
+    echo "Error: failed to download ${DOWNLOAD}."
+    exit 1;
+fi
+
+tar -xvzf ltp-full-${LTPVER}.tgz > /dev/null
+if [ "${?}" != 0 ]
+then
+    echo "Error: failed to untar ${DOWNLOAD}."
+    exit 1;
+fi
+
+# fix some pvfs specific problems
+cd ltp-full-${LTPVER}
+for patch in \
+	${VFS_SCRIPTS}/ltp-20080630-zoo-path.patch \
+	${VFS_SCRIPTS}/ltp-20080630-hackbench-limits.patch ; do
+		patch -p1 < $patch
+done
+if [ "${?}" != 0 ]
+then
+    echo "Error: failed to apply patches to LTP."
+    exit 1;
+fi
+
+echo Compiling LTP...
+export CFLAGS="-g"
+make >& /dev/null 
+if [ "${?}" != 0 ]
+then
+    echo "Error: failed to build LTP."
+    exit 1;
+fi
+
+# NOTE: this does not install anything outside of the ltp directory.  It
+# just configures the test programs so that they can be executed.  We
+# deliberately avoid running make install at the top level because that
+# _would_ install files in /opt/ltp unecessarily.
+cd testcases
+sudo make install > /dev/null
+if [ "${?}" != 0 ]
+then
+    echo "Error: failed to make install LTP testcases."
+    exit 1;
+fi
+cd ../
+
+# copy pvfs friendly test cases; we should pass all of these
+cp ${VFS_SCRIPTS}/ltp-pvfs-testcases runtest/
+mkdir -p ${PVFS2_MOUNTPOINT}/ltp-tmp 
+chmod 777 ${PVFS2_MOUNTPOINT}/ltp-tmp
+umask 0
+
+# run ltp
+echo Running LTP...
+sudo ./runltp -p -l `pwd`/../ltp-pvfs-testcases-${THISDATE}.log -d ${PVFS2_MOUNTPOINT}/ltp-tmp -f ltp-pvfs-testcases -z ${EXTRA_TESTS}/zoo.tmp >& `pwd`/../ltp-pvfs-testcases-$THISDATE.output
+if [ "${?}" != 0 ]
+then
+    echo "Error: failed to invoke LTP."
+    exit 1;
+fi
+
+cd ..
+
+FAILCOUNT=`grep FAIL ltp-pvfs-testcases-$THISDATE.log | wc -l`
+
+if [ "${FAILCOUNT}" != 0 ]
+then 
+    echo "Error: failed the following LTP test cases:"
+    grep FAIL ltp-pvfs-testcases-$THISDATE.log
+    echo "log file:                    ${EXTRA_TESTS}/ltp-pvfs-testcases-$THISDATE.log"
+    echo "record of stdout and stderr: ${EXTRA_TESTS}/ltp-pvfs-testcases-$THISDATE.output"
+    exit 1
+fi
+
+echo "Completed LTP tests."
+
+exit 0

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ ltp-20080630-hackbench-limits.patch	2008-09-09 16:22:32.000000000 -0400
@@ -0,0 +1,11 @@
+diff -burpN -x cscope.out -x MakefileHost -x MakefileTarget ltp-full-20080630/testcases/kernel/sched/cfs-scheduler/hackbench.c ltp-full-20080630.modified/testcases/kernel/sched/cfs-scheduler/hackbench.c
+--- ltp-full-20080630/testcases/kernel/sched/cfs-scheduler/hackbench.c	2008-06-28 15:19:08.000000000 -0500
++++ ltp-full-20080630.modified/testcases/kernel/sched/cfs-scheduler/hackbench.c	2008-07-25 10:47:08.000000000 -0500
+@@ -48,6 +48,7 @@
+ /*                                                                            */
+ /******************************************************************************/
+ #include <pthread.h>
++#include <limits.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ ltp-20080630-zoo-path.patch	2008-09-09 16:22:32.000000000 -0400
@@ -0,0 +1,53 @@
+--- ltp-full-20080630/runltp	2008-06-28 16:19:02.000000000 -0400
++++ ltp-full-20080630-new/runltp	2008-07-21 15:47:54.000000000 -0400
+@@ -79,6 +79,7 @@ setup()
+     export TMP="${TMPBASE}/ltp-$$"
+     export TMPDIR="${TMP}"
+     export PATH="${PATH}:${LTPROOT}/testcases/bin"
++    export ZOOFILE="$$"
+ 
+     [ -d $LTPROOT/testcases/bin ] ||
+     {
+@@ -152,6 +153,7 @@ usage() 
+     -v              Print more verbose output to screen.                   
+     -w CMDFILEADDR  Uses wget to get the user's list of testcases.
+     -x INSTANCES    Run multiple instances of this testsuite.
++    -z ZOOFILE      Specify an alternate path to zoo file.
+ 
+     example: ./${0##*/} -c 2 -i 2 -m 2,4,10240,1 -D 2,10,10240,1 -p -q  -l /tmp/result-log.$$ -o /tmp/result-output.$$ -C /tmp/result-failed.$$ -d ${PWD}
+ 
+@@ -191,7 +193,7 @@ main()
+     local DEFAULT_FILE_NAME_GENERATION_TIME=`date +"%Y_%b_%d-%Hh_%Mm_%Ss"`
+     version_date=`head -n 1 $LTPROOT/ChangeLog`
+ 
+-    while getopts a:c:C:d:D:f:ehi:g:l:m:Nno:pqr:s:t:T:vw:x: arg
++    while getopts a:c:C:d:D:f:ehi:g:l:m:Nno:pqr:s:t:T:vw:x:z: arg
+     do  case $arg in
+         a)  EMAIL_TO=$OPTARG
+             ALT_EMAIL_OUT=1;;
+@@ -377,6 +379,7 @@ main()
+             sleep 10 
+             INSTANCES="-x $OPTARG -O ${TMP}";;
+     
++	z)  ZOOFILE=$OPTARG;;
+         \?) usage;;
+         esac
+     done
+@@ -624,7 +627,7 @@ main()
+     fi
+ 
+     [ ! -z "$QUIET_MODE" ] && { echo "INFO: Test start time: $(date)" ; }
+-    PAN_COMMAND="${LTPROOT}/pan/pan $QUIET_MODE -e -S $INSTANCES $DURATION -a $$ \
++    PAN_COMMAND="${LTPROOT}/pan/pan $QUIET_MODE -e -S $INSTANCES $DURATION -a $ZOOFILE \
+     -n $$ $PRETTY_PRT -f ${TMP}/alltests $LOGFILE $OUTPUTFILE $FAILCMDFILE"
+     if [ ! -z "$VERBOSE_MODE" ] ; then
+       echo "COMMAND:    $PAN_COMMAND"
+@@ -652,7 +655,7 @@ main()
+ 
+     echo "Running tests......."
+     test_start_time=$(date)
+-    ${LTPROOT}/pan/pan $QUIET_MODE -e -S $INSTANCES $DURATION -a $$ -n $$ $PRETTY_PRT -f ${TMP}/alltests $LOGFILE $OUTPUTFILE $FAILCMDFILE
++    ${LTPROOT}/pan/pan $QUIET_MODE -e -S $INSTANCES $DURATION -a $ZOOFILE -n $$ $PRETTY_PRT -f ${TMP}/alltests $LOGFILE $OUTPUTFILE $FAILCMDFILE
+      
+     if [ $? -eq 0 ]; then
+       echo "INFO: pan reported all tests PASS"



More information about the Pvfs2-cvs mailing list